> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a page inspection

> Returns one page inspection: what an AI bot gets when it requests the page.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/technical/inspections/{inspection_uuid}
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/technical/inspections/{inspection_uuid}:
    get:
      tags:
        - Technical analysis
      summary: Get a page inspection
      description: >-
        Returns one page inspection: what an AI bot gets when it requests the
        page.
      operationId: read_inspection
      parameters:
        - in: path
          name: inspection_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InspectionResponse'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    InspectionResponse:
      type: object
      properties:
        inspection:
          $ref: '#/components/schemas/InspectionDTO'
        is_reused:
          type: boolean
          default: false
      required:
        - inspection
    InspectionDTO:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        url:
          type: string
        path:
          type: string
        bot:
          type: string
        platform:
          type: string
        executes_javascript:
          type: boolean
        status:
          $ref: '#/components/schemas/JobStatus'
        robots_access:
          $ref: '#/components/schemas/BotAccess'
        status_code:
          type: integer
          nullable: true
        redirect_count:
          type: integer
        static_text_length:
          type: integer
        rendered_text_length:
          type: integer
        verdict:
          $ref: '#/components/schemas/RenderVerdict'
        title:
          type: string
          nullable: true
        meta_description:
          type: string
          nullable: true
        body:
          type: string
        is_body_truncated:
          type: boolean
        has_screenshot:
          type: boolean
        failure_code:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/InspectionFailure'
        failure_reason:
          type: string
        started_at:
          type: string
          format: date-time
          nullable: true
        finished_at:
          type: string
          format: date-time
          nullable: true
      required:
        - body
        - bot
        - executes_javascript
        - failure_code
        - failure_reason
        - finished_at
        - has_screenshot
        - is_body_truncated
        - meta_description
        - path
        - platform
        - redirect_count
        - rendered_text_length
        - robots_access
        - started_at
        - static_text_length
        - status
        - status_code
        - title
        - url
        - uuid
        - verdict
    JobStatus:
      enum:
        - queued
        - running
        - succeeded
        - failed
      type: string
      description: |-
        * `queued` - queued
        * `running` - running
        * `succeeded` - succeeded
        * `failed` - failed
    BotAccess:
      enum:
        - allowed
        - blocked
        - unmentioned
      type: string
      description: |-
        * `allowed` - allowed
        * `blocked` - blocked
        * `unmentioned` - unmentioned
    RenderVerdict:
      enum:
        - ssr_complete
        - hydration_gap
        - csr_only
        - unknown
      type: string
      description: |-
        * `ssr_complete` - ssr_complete
        * `hydration_gap` - hydration_gap
        * `csr_only` - csr_only
        * `unknown` - unknown
    InspectionFailure:
      enum:
        - unreachable
        - timeout
        - browser_unavailable
        - out_of_scope
        - error
      type: string
      description: |-
        * `unreachable` - unreachable
        * `timeout` - timeout
        * `browser_unavailable` - browser_unavailable
        * `out_of_scope` - out_of_scope
        * `error` - error
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.